Summary:	DFBTerm - terminal application for DirectFB
Summary(pl.UTF-8):	DFBTerm - emulator terminala dla DirectFB
Name:		DFBTerm
Version:	0.8.15
Release:	10
License:	MIT
Group:		Applications/Graphics
Source0:	http://www.directfb.org/downloads/Programs/%{name}-%{version}.tar.gz
# Source0-md5:	0e554bbb65052289d01415f7042d72d2
Patch0:		%{name}-font.patch
URL:		http://www.directfb.org/index.php?path=Development/Projects/DFBTerm
BuildRequires:	DirectFB-devel >= 0.9.14
BuildRequires:	LiTE-devel >= 0.4.2
BuildRequires:	automake
BuildRequires:	pkgconfig
Requires:	DirectFB-font-ft2
Requires:	DirectFB-image-png
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DFBTerm is a terminal application for DirectFB. It uses LiTE (LiTE is
a Toolkit Engine) and has a very nice anti aliased fixed width font.
 
%description -l pl.UTF-8
DFBTerm to emulator terminala dla DirectFB. Korzysta z toolkitu LiTE i
ma bardzo ładny font o stałej szerokości znaków z antyaliasingiem.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog
%attr(755,root,root) %{_bindir}/dfbterm
%attr(755,root,root) %{_sbindir}/dfbterm-pty-helper
%changelog
* Wed Oct 08 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/DFBTerm.git;a=log;h=master

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e24624
- release 10 (by relup.sh)

* Sun Mar 16 2014 Jan Rękorajski <baggins@pld-linux.org> 65f2776
- rebuild with DirectFB 1.7.2
- release 9 (by relup.sh)

* Mon Nov 04 2013 Jan Rękorajski <baggins@pld-linux.org> aa25685
- release 8 (by relup.sh)

* Fri Jul 19 2013 Jan Rękorajski <baggins@pld-linux.org> 4b53afe
- release 7 (by relup.sh)

* Sat Oct 06 2012 Jan Rękorajski <baggins@pld-linux.org> 84be6d5
- rebuild with DirectFB 1.6.x
- release 6 (by relup.sh)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> de4ba92
- release 5

* Sat Feb 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 47e807d
- release 4

* Wed Oct 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4e896ee
- release 3

* Thu Jan 17 2008 Elan Ruusamäe <glen@pld-linux.org> 49e3ffb
- rel 2

* Sun Mar 11 2007 Jakub Bogusz <qboosh@pld-linux.org> 1fc5b23
- updated to 0.8.15
- removed obsolete update patch

* Sun Mar 11 2007 Jakub Bogusz <qboosh@pld-linux.org> bcf3f8a
- obsolete

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 58f6de4
- tabs in preamle

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> caa982d
- converted to UTF-8

* Sun Oct 23 2005 Jakub Bogusz <qboosh@pld-linux.org> eeebb18
- new

* Sun Oct 23 2005 Jakub Bogusz <qboosh@pld-linux.org> 839c070
- hardcode Misc-Fixed font path

* Sun Oct 23 2005 Jakub Bogusz <qboosh@pld-linux.org> b55a787
- LiTE API update (from DFBTerm CVS)

